import request from "umi-request";

export const doFetch = ({ url, params }) => {
  return request(url, {
    method: "POST",
    data: params ?? {},
  });
};

export const putFetch = ({ url, params }) => {
  return request(url, {
    method: "PUT",
    data: params ?? {},
  });
};

export const delFetch = ({ url, params }) => {
  return request(url, {
    method: "DELETE",
    data: params ?? {},
  });
};

export const getFetch = ({ url, params }) => {
  return request(url, {
    method: "GET",
    params: params ?? {},
  });
};
