import prisma from "@/lib/prisma";

export default async function handler(req, res) {
  const {
    query, //query ?a=1 转为{a:1} 结构为{a}
    body, 
    method,
  } = req;

  switch (method) {
    case "GET":
      const folders = await prisma.folder.findMany({
        // where: { published: true },
        // include: {
        //   author: {
        //     select: { name: true },
        //   },
        // },
      });

      res.status(200).json({
        code: 0,
        data: folders,
        success: true,
      });
      break;
    case "POST":
      console.log("====================================");
      console.log(body);
      console.log("====================================");
      
      const created = await prisma.folder.create({
        data:body
      });

      res.status(200).json({  name: `User ` });
      break;
    default:
      res.setHeader("Allow", ["GET", "PUT", "DELETE"]);
      res.status(405).end(`Method ${method} Not Allowed`);
  }
}
